
/*-----------------------------------------------*/


.prehide{opacity:0; transition: all 0.5s;}
.preshow{opacity:1; transition: all 0.5s;}
.rbrd{border:1px solid #900;}
.gbrd{border:1px solid #090;}
.clear {clear:both;float:none;}
.rel {position:relative;}
.abs {position:absolute;}
.abs-full{position:absolute; top:0; left:0; right:0; bottom:0;}
.abs-bottom{position:absolute; bottom:0;}
.abs-bottom-right{position:absolute; bottom:0; right:0}
.abs-bottom-left{position:absolute; bottom:0; left:0}
.abs-top{position:absolute; top:0;}
.abs-top-right{position:absolute; top:0; right:0}
.abs-top-left{position:absolute; top:0; left:0}
.hidden, .hide {display:none;}
/*-------------------*/
.pd5{padding:5px;}
.pd10{padding:10px;}
.pd15{padding:15px;}
.pd20{padding:20px;}

.hpd5{padding:5px 0;}
.hpd10{padding:10px 0;}
.hpd15{padding:15px 0;}
.hpd20{padding:20px 0;}

.hght0{height:0px; clear:both; float:none; font-size:0;}
.hght5{height:5px; clear:both; float:none;}
.hght10{height:10px; clear:both; float:none;}
.hght15{height:15px; clear:both; float:none;}
.hght20{height:20px; clear:both; float:none;}
.hght25{height:25px; clear:both; float:none;}
.hght30{height:30px; clear:both; float:none;}
.hght35{height:35px; clear:both; float:none;}
.hght40{height:40px; clear:both; float:none;}
.hght45{height:45px; clear:both; float:none;}
.hght50{height:50px; clear:both; float:none;}
.hght55{height:55px; clear:both; float:none;}
/*-------------------*/
.top-left{top:0; left:0; position: absolute;}
.top-left .center{left:-50%; position: relative;}
.top-center{top:0; left:50%; position: absolute;}
.top-center .center{left:-50%; position: relative;}
.top-right{top:0; right:0%; position: absolute;}
.top-right .center{right:-50%; position: relative;}

.middle-left{top:50%; left:0; position: absolute;}
.middle-left .center{left:-50%; position: relative;}
.middle-center{top:50%; left:50%; position: absolute;}
.middle-center .center{left:-50%;position: relative;}
.middle-right{top:50%; right:0%; position: absolute;}
.middle-right .center{right:-50%; position: relative;}


.bottom-left{bottom:0; left:0; position: absolute;}
.bottom-left .center{left:-50%; position: relative;}
.bottom-center{bottom:0; left:50%; position: absolute;}
.bottom-center .center{left:-50%;position: relative;}
.bottom-right{bottom:0; right:0%; position: absolute;}
.bottom-right .center{right:-50%; position: relative;}

.vcenter {display: inline-block; vertical-align: middle; float: none;}
.text-center{text-align:center;}
.text-ellipsis{display:inline-block; text-overflow: ellipsis; white-space: nowrap; overflow: hidden; width:100%;}
.text-lower{text-transform:lowercase;}
.text-upper{text-transform:uppercase;}
.test div.cc{height:30px;}
.text-center img{margin:0 auto;}


.fs-50{font-size:50%;}
.fs-60{font-size:60%;}
.fs-70{font-size:70%;}
.fs-80{font-size:80%;}
.mrg-r-10{margin-right:10px;}
.mrg-r-5{margin-right:5px;}
.mrg-l-10{margin-left:10px;}
.mrg-l-5{margin-left:5px;}




.width100{width:100%;}
.float-left{float:left;}
.float-right{float:right;}

.hide{display:none!important;}


.display-table{display:table;}
.display-cell{display:table-cell;}
.vertical-center{vertical-align:center;}














/*-------------------*/

.details .detail .detail-name{float: left; font-weight:100;}
.details .detail .detail-value{margin-left:150px; font-weight:400;}

.details .detail{width:100%; float:none; margin-bottom:5px; clear:both;}
.details .detail.details-inline{float:left; width:auto; clear:none; margin-right:10px;}
.details .detail.details-inline .detail-name{float:left;}
.details .detail.details-inline .detail-value{margin-left:5px; float:left;}

.details .detail.details-inline-row{float:left; width:100%; clear:both; margin-right:0;}
.details .detail.details-inline-row .detail-name{float:left;}
.details .detail.details-inline-row .detail-value{margin-left:5px; float:left;}

.details .detail.detail-is-noname .detail-value{margin-left:0px;}
.details .detail.detail-is-vertical .detail-name{float:none; margin:0px!important; width:auto;}
.details .detail.detail-is-vertical .detail-value{float:none; margin:0px!important; width:auto;}
@media(max-width: 400px){
	.details .detail .detail-name{float:none; margin:0px; width:auto;}
	.details .detail .detail-value{float:none; margin:0px; margin-bottom:10px; width:auto;}
}

.details .detail-value .detail-value-col.detail-value-col-2{width:50%; float:left;}
.details .detail-value .detail-value-col.detail-value-col-3{width:33,3%; float:left;}
.details .detail-value .detail-value-col.detail-value-col-4{width:25%; float:left;}
.details .detail-value .detail-value-col.detail-value-col-5{width:20%; float:left;}
.details .detail-value .detail-value-col.detail-value-col-10{width:10%; float:left;}
.details .details-title{width:100%;}

.subdetail .name+.value{margin-left:5px;}


.state-a > .state-b{display:none;}
.state-a > .state-a{display:inline;}

.state-b > .state-a{display:none;}
.state-b > .state-b{display:inline;}





.item-cell{}
.item .item-content{
	
}
.item .item-title .title{}
.item .item-media img{width:100%; height:auto;}
.item .item-media, .item .item-body{display:block;}
.item.item-cell .item-media, .item.item-cell .item-body{
	display: table-cell;
    vertical-align: top;
}
.item .item-media{padding-right:10px; padding-bottom:10px;}
@media(max-width: 400px){
	
	.item .item-media, .item .item-body{
		width:100%;
		display: block;
		padding-right:0;
		padding-left:0;

	}
}
.item .item-labels{margin-left:3px;}
.item .item-misc{}
.item .item-title{}
.item .item-media{}
.item .item-content{}
.item .item-body{}
.item .item-ctrl{}
#defaultoutput{padding:10px;}